GET /messaging/v1/sms/messages/?type=notSent

Gets a paginated list of messages that weren't sent, ordered from oldest to newest.

NameTypeDescription
typestringRequired. Only notSent is supported.
$pageSizeintegerNumber of messageKeys (array elements) to return per response page.
lastEventIdintegerEvent ID from which you want the response to start. To obtain the initial event ID, submit a request without a lastEventId. The events in the response are listed top to bottom from oldest to newest.
StatusNameTypeDescription
200  Success. Review example response.
 lastEventIDintegerEvent ID from which you want the response to start. To obtain the initial event ID, submit a request without a lastEventId. The events in the response are listed top to bottom from oldest to newest.
 statusCodeintegerInteger value of the reason the send didn't complete. Review Send Error Codes for more information.
 statusMessagestringThe reason the send didn't complete. Review Send Error Codes for more information.
 eventCategoryTypestringTransactionalSendEvent event type. SMSSent indicates that the message was sent for delivery. SMSNotSent indicates that the message wasn't sent and includes the reason. SMSQueued indicates that the SMS hasn't yet been processed for sending.
 timestampstringTime the event occured in Central Standard Time without daylight saving time applied.
 definitionKeystringUnique identifier of the definition.
 eventIDintegerNumeric identifier of the event.
 messageKeystringUnique identifier to track message send status.
 contactKeystringUnique identifier for a subscriber.
 tostringChannel address of the recipient. For SMS, it’s the recipient's mobile address.

This sample request shows how to retrieve unsent SMS messages for a specified SMS event.

The response is an HTTP 200 response that contains information about the unsent messages.

ResponseReason
200 OKSuccess. Review example response.
400 Bad RequestInvalid request
401 UnauthorizedFailed to pass authorization.
500 Server ErrorInternal error